import request from '@/config/axios'

// 质量管理-质检参数 VO
export interface ZjProductVO {
  id: number // ID
  type: string // 工序
  name: string // 名称
  unit: string // 单位
  upperVal: number // 上限值
  lowerVal: number // 下限值
  remark: string // 备注
}

// 质量管理-质检参数 API
export const ZjProductApi = {
  // 查询质量管理-质检参数分页
  getZjProductPage: async (params: any) => {
    return await request.get({ url: `/mes/zj-product/page`, params })
  },

  // 查询质量管理-质检参数详情
  getZjProduct: async (id: number) => {
    return await request.get({ url: `/mes/zj-product/get?id=` + id })
  },

  // 新增质量管理-质检参数
  createZjProduct: async (data: ZjProductVO) => {
    return await request.post({ url: `/mes/zj-product/create`, data })
  },

  // 修改质量管理-质检参数
  updateZjProduct: async (data: ZjProductVO) => {
    return await request.put({ url: `/mes/zj-product/update`, data })
  },

  // 删除质量管理-质检参数
  deleteZjProduct: async (id: number) => {
    return await request.delete({ url: `/mes/zj-product/delete?id=` + id })
  },

  // 导出质量管理-质检参数 Excel
  exportZjProduct: async (params) => {
    return await request.download({ url: `/mes/zj-product/export-excel`, params })
  },

      // 获得产品质检参数明细列表
      getZjProductByProductId: async (productId) => {
        return await request.get({ url: `/mes/zj-product/list-by-item-product-id?productId=` + productId })
      }
}
